# Get organization list

Retrieve array of all organizations the user has access to.

Returns metadata for each organization including:
- Organization ID and name
- Workspaces within each organization
- Branding configuration (colors, logos, company info)
- Video prompts and ideas
- User access status and user count

Endpoint: GET /auth/organization/list
Version: 1.2.0
Security: ShuffllApiKey

## Response 200 fields (application/json):

  - `id` (string)
    Unique organization identifier
    Example: 693fb82afd8d1c43077ba0fb

  - `name` (string)
    Organization name
    Example: My Organization

  - `workspaces` (array)
    List of workspaces in this organization

  - `workspaces.id` (string)
    Workspace identifier

  - `workspaces.createdAt` (string)
    Workspace creation timestamp

  - `workspaces.isDefaultForUser` (boolean)
    Whether this is the user's default workspace

  - `branding` (object)
    User's branding configuration for video creation

  - `branding.company` (object)
    Company information

  - `branding.company.id` (string)
    Company identifier
    Example: shuffll

  - `branding.company.domain` (string)
    Company domain

  - `branding.company.geoLocation` (string | null)
    Geographic location of company

  - `branding.company.minSize` (integer | null)
    Minimum company size

  - `branding.company.maxSize` (integer | null)
    Maximum company size

  - `branding.company.name` (string)
    Company name

  - `branding.isDefault` (boolean)
    Whether using default branding settings
    Example: true

  - `branding.enabled` (boolean)
    Whether branding is enabled
    Example: true

  - `branding.logo` (string)
    Path to company logo
    Example: /files/platform/onboarding/logo-placeholder.svg

  - `branding.logoW` (string)
    Path to white version of logo
    Example: /files/platform/onboarding/logo-placeholder.svg

  - `branding.colors` (object)
    Brand color palette

  - `branding.colors.colorPrimary` (string)
    Primary brand color (hex)
    Example: #99b898

  - `branding.colors.colorSecondary` (string)
    Secondary brand color (hex)
    Example: #feceab

  - `branding.colors.colorExtra` (string)
    Extra/accent brand color (hex)
    Example: #ff847c

  - `branding.colors._id` (string)
    Internal color palette identifier

  - `branding.prompts` (array)
    User's saved prompts with tags and suggestions

  - `branding.prompts.tag` (object)

  - `branding.prompts.tag.title` (string)
    Prompt category title
    Example: Thought Leadership Video

  - `branding.prompts.tag.id` (string)
    Prompt category ID
    Example: Thought leadership

  - `branding.prompts.tag.text` (string)
    Prompt description text
    Example: Describe your Thought leadership video

  - `branding.prompts.suggestions` (array)
    Suggested prompts for this category

  - `branding.about` (string)
    Company description used by AI when writing video scripts
    Example: Acme Corp builds innovative solutions for enterprise teams.

  - `branding.videoIdeas` (array)
    AI-generated video idea suggestions for the workspace

  - `branding.videoIdeas.shortTitle` (string)

  - `branding.videoIdeas.prompt` (string)

  - `branding.videoIdeas.designId` (string)

  - `branding.videoIdeas.designGroupId` (string)

  - `branding.videoIdeas.createdAt` (string)

  - `branding.videoIdeaStatus` (string)
    Status of the video idea generation
    Example: COMPLETED

  - `branding.pronunciations` (array)
    Custom pronunciation settings for brand, people, and product names in AI voiceovers

  - `createdByEmail` (string)
    Email of organization creator

  - `isAllowedToUseOrganization` (boolean)
    Whether user can use this organization

  - `userCount` (integer)
    Number of users in organization

  - `isDefaultForUser` (boolean)
    Whether this is the user's default organization

## Response 401 fields (application/problem+json):

  - `type` (string)
    Example: object

  - `title` (string)
    Example: Validation failed

  - `message` (string)
    Example: Bad Request

